import 'package:meta/meta.dart';
import 'package:renderable/renderable.dart';

class InterceptableMethodElement extends MethodElement {
//  List<MethodInterceptor> fieldInterceptors = [];

  InterceptableMethodElement({
    @required String name,
    DartType returnType,
    bool isAbstract,
    bool isAsynchronous,
    bool isStatic,
    bool isExternal,
    bool isGenerator,
    List<TypeParameterElement> typeParameters,
    List<ParameterElement> parameters,
    FunctionBody body,
  }) : super(
          name: name,
          returnType: returnType,
          isAbstract: isAbstract,
          isAsynchronous: isAsynchronous,
          isStatic: isStatic,
          isExternal: isExternal,
          isGenerator: isGenerator,
          typeParameters: typeParameters,
          parameters: parameters,
          body: body,
        );

  @override
  String render() {
//    if () {
//      return '';
//    }
    return super.render();
  }
}
