import 'package:interceptable/src/element/interceptable_field_element.dart';
import 'package:renderable/renderable.dart';

/// force field to use field instead of accessors
class FieldInterceptor {
  Renderable value;

  FieldInterceptor({
    this.value,
  });

  void apply(InterceptableFieldElement field) {
    if (value != null) {
      field.value = value;
    }
    field.isSynthetic = false;
  }
}
